<div class="container">
  <div class="info-head">
    <h2>Your actions saves lives</h2>
    <p>Wear a mask, maintain social-distancing, and get vaccinated!</p>
  </div>
  <div class="container line-gap">
    <div class="col-sm-9 col-form-label">
      <form id="choose-state" [formGroup]="stateSelection">
        <h4>Tracking COVID-19 and vaccination data in your state:</h4>
        <select
          id="inputState"
          formControlName="inputState"
          name="state"
          (change)="updateData()"
          (click)="fillStates()"
          required=""
          autofocus=""
        >
          <option value="">Select your state</option>
          <option *ngFor="let state of states" [value]="state">
            {{ state }}
          </option>
        </select>
      </form>
    </div>

    <div class="container row d-flex justify-content-md-center">
      <table class="table table-striped">
        <thead>
          <tr>
            <th>Vaccines Administered</th>
            <th>Vaccines Distributed</th>
          </tr>
        </thead>
        <tbody id="invoice-table-body">
          <tr>
            <td>
              {{ this.currentVaccinationDataPoint.Doses_Administered | number }}
            </td>
            <td>
              {{ this.currentVaccinationDataPoint.Doses_Distributed | number }}
            </td>
          </tr>
        </tbody>
        <thead>
          <tr>
            <th>Confirmed Total Cases</th>
            <th>Total Deaths</th>
          </tr>
          <tr>
            <td>{{ this.currentCovidDataPoint.tot_cases | number }}</td>
            <td>
              {{ this.currentCovidDataPoint.tot_death | number }}
            </td>
          </tr>
        </thead>
      </table>
    </div>
  </div>
</div>
